cascading.flow.tez.stream.element

## Class TezBoundaryStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.BoundaryStage<TupleEntry,TupleEntry>
      - - cascading.flow.tez.stream.element.TezBoundaryStage

- All Implemented Interfaces:
    ElementDuct, InputSource

      public class TezBoundaryStage
      extends BoundaryStage<TupleEntry,TupleEntry>
      implements InputSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.tez.runtime.api.LogicalInput` | `logicalInput`
    `protected Collection<org.apache.tez.runtime.api.LogicalOutput>` | `logicalOutputs`

    - ### Fields inherited from class cascading.flow.stream.element.BoundaryStage

      `boundary, flowProcess, incomingScopes, outgoingScopes, role`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezBoundaryStage(FlowProcess flowProcess, Boundary boundary, IORole role, Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)`
    `TezBoundaryStage(FlowProcess flowProcess, Boundary boundary, IORole role, org.apache.tez.runtime.api.LogicalInput logicalInput)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(StreamGraph streamGraph)`
    `void` | `complete(Duct previous)`
    `protected OutputCollector` | `createOutputCollector()`
    `void` | `initialize()`
    `protected Throwable` | `map()`
    `void` | `prepare()`
    `void` | `receive(Duct previous, TupleEntry incomingEntry)`
    `void` | `run(Object input)`
    `void` | `start(Duct previous)`

    - ### Methods inherited from class cascading.flow.stream.element.BoundaryStage

      `getBoundary, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hasTrapHandler, setBranchNames, setTrapHandler`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `cleanup, getNext, getNextFor, receiveFirst, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logicalOutputs

          protected Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs

    - #### logicalInput

          protected org.apache.tez.runtime.api.LogicalInput logicalInput

  - ### Constructor Detail

    - #### TezBoundaryStage

          public TezBoundaryStage(FlowProcess flowProcess,
                          Boundary boundary,
                          IORole role,
                          Collection<org.apache.tez.runtime.api.LogicalOutput> logicalOutputs)

    - #### TezBoundaryStage

          public TezBoundaryStage(FlowProcess flowProcess,
                          Boundary boundary,
                          IORole role,
                          org.apache.tez.runtime.api.LogicalInput logicalInput)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `BoundaryStage<TupleEntry,TupleEntry>`

    - #### bind

          public void bind(StreamGraph streamGraph)

      Overrides:
        `bind` in class `Duct<TupleEntry,TupleEntry>`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `Duct<TupleEntry,TupleEntry>`

    - #### start

          public void start(Duct previous)

      Overrides:
        `start` in class `Duct<TupleEntry,TupleEntry>`

    - #### receive

          public void receive(Duct previous,
                     TupleEntry incomingEntry)

      Overrides:
        `receive` in class `Stage<TupleEntry,TupleEntry>`

    - #### complete

          public void complete(Duct previous)

      Overrides:
        `complete` in class `Duct<TupleEntry,TupleEntry>`

    - #### run

          public void run(Object input)
                   throws Throwable

      Specified by:
        `run` in interface `InputSource`
      Throws:
        `Throwable`

    - #### map

          protected Throwable map()
                           throws Exception

      Throws:
        `Exception`

    - #### createOutputCollector

          protected OutputCollector createOutputCollector()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.